跳转到主要内容
POST
/
runway
/
pro
/
act_one
Act-one Expression Migration
curl --request POST \
  --url https://api.cometapi.com/runway/pro/act_one \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "video": "http://runwaycdn.rixapi.com/attachments/video/runway/20241015/82bc23c83b5c32e75059c8328df5cffb.mp4",
  "image": "https://db.xiaohuhd.com/1.jpeg",
  "callback_url": "http://baidu.com"
}
'
{
  "code": 123,
  "msg": "<string>",
  "data": {
    "task_id": "<string>"
  },
  "exec_time": 123
}
使用此端点可通过 Runway 反向格式封装器,将源视频中的表情或表演迁移到另一张独立图像上。

当前限制

  • 此路由当前仅支持 16:9 的源素材
  • 你需要同时提供源 video 和目标 image
  • 在进一步调整工作流之前,建议先从一段简短且稳定的源片段开始

任务流程

1

创建 act-one 任务

提交源视频、目标图像以及回调或追踪设置,然后保存返回的任务 id。
2

轮询任务

持续使用 Feed Get Task,直到封装器进入终态。
3

持久化结果

如果你需要长期访问,请将最终输出存储到你自己的媒体处理流水线中。

授权

Authorization
string
header
必填

Bearer token authentication. Use your CometAPI key.

请求头

X-Runway-Version
string

Optional Runway version header, for example 2024-11-06.

请求体

application/json
video
string
默认值:http://runwaycdn.rixapi.com/attachments/video/runway/20241015/82bc23c83b5c32e75059c8328df5cffb.mp4
必填

URL of the source video containing the performance to transfer.

image
string
默认值:https://db.xiaohuhd.com/1.jpeg
必填

URL of the target image whose character will receive the expression.

callback_url
string
默认值:https://example.com/webhook
必填

Webhook URL that receives a POST request with the result when the task completes.

响应

200 - application/json

OK

code
integer
必填

HTTP status code

msg
string
必填

Text description of the request result

data
object
必填

Object containing specific response data.

exec_time
number
必填

Time spent by the server processing this request